Page 1 of 1

Used Java Platform doesn't provide any java compiler!

Posted: Tue Jan 02, 2018 7:27 am
by girish_526
Hi All,

I was trying to use Custom Java Component and getting the below error.

"Used Java Platform doesn't provide any java compiler!"

My clover etl version is CloverETL 4.3.0.015.

Suggest me what JAR's are what JAVA environment I need to use to compile the java component.

Appreciate your help in advance.


Thanks,
Girish.

Re: Used Java Platform doesn't provide any java compiler!

Posted: Tue Jan 02, 2018 8:32 am
by imriskal
Hi Girish,

For your version of CloverETL, we recommend Oracle JDK 8. Your Java code in custom Java components has to be compiled which requires JDK instead of JRE.